<?PHP

include_once("../inc/func_date.inc.php");
include_once("../inc/func_time.inc.php");
include_once("../lng/fr.inc.php");

$hautlig=25; // hauteur de ligne
$modeplan="s"; // affichage semaine par défaut
$firstHour = 7; // première heure à afficher
$lastHour = 18 ; // dernière heure à afficher
$stepmin = 30; // incrément 30 minutes par défaut
$heuredj = 8; // début heure ouvrée
$heurefj = 17; // fin heure ouvrée
$dateact=date ("d-m-Y"); // date demandée
$daterdv=$dateact; // date rendez-vous
$duree=$stepmin; // durée rendez-vous
$heurerdv=date("H:i"); // heure rendez-vous
$jourd=1; // Jour début de mois
$jourf=28; // jour fin de mois
$txt="Texte exemple"; // Texte à afficher sur RDV

// Récupération première heure du planning
if (isset($_GET["fh"]))
{
	$fh=intval($_GET["fh"]);
	if (($fh>=0) AND ($fh<=24))
		$firstHour=$fh;
}
else
{
	if (isset($_POST["fh"]))
	{
		$fh=intval($_POST["fh"]);
		if (($fh>=0) AND ($fh<=24))
			$firstHour=$fh;
	}
}

// Récupération dernière heure du planning
if (isset($_GET["lh"]))
{
	$lh=intval($_GET["lh"]);
	if (($lh>=0) AND ($lh<=24) AND ($lh>$fh))
		$lastHour=$lh;
}
else
{
	if (isset($_POST["lh"]))
	{
		$lh=intval($_POST["lh"]);
		if (($lh>=0) AND ($lh<=24) AND ($lh>$fh))
			$lastHour=$lh;
	}
}

// Récupération première heure ouvrée du planning
if (isset($_GET["fho"]))
{
	$fho=intval($_GET["fho"]);
	if (($fho>=0) AND ($fho<=24))
		$heuredj=$fho;
}
else
{
	if (isset($_POST["fho"]))
	{
		$fho=intval($_POST["fho"]);
		if (($fho>=0) AND ($fho<=24))
			$heuredj=$fho;
	}
}

// Récupération dernière heure ouvrée du planning
if (isset($_GET["lho"]))
{
	$lho=intval($_GET["lho"]);
	if (($lho>=0) AND ($lho<=24) AND ($lho>$fho))
		$heurefj=$lho;
}
else
{
	if (isset($_POST["lho"]))
	{
		$lho=intval($_POST["lho"]);
		if (($lho>=0) AND ($lho<=24) AND ($lho>$fho))
			$heurefj=$lho;
	}
}
// Récupération incrément (minutes) du planning
if (isset($_GET["step"]))
{
	$step=intval($_GET["step"]);
	if ((($step<>0) AND (($step%5)==0)))
		$stepmin=$step;
}
else
{
	if (isset($_POST["step"]))
	{
		$step=intval($_POST["step"]);
		if ((($step<>0) AND (($step%5)==0)))
			$stepmin=$step;
	}
}
// Récupération date à afficher du planning
if (isset($_GET["dte"]))
{
	$dte=$_GET["dte"];
	if (datefrcorrecte($dte)==TRUE)
		$dateact=datefr(datefrang($dte));
}
else
{
	if (isset($_POST["dte"]))
	{
		$dte=$_POST["dte"];
		if (datefrcorrecte($dte)==TRUE)
			$dateact=datefr(datefrang($dte));
	}
}

if (datefrcorrecte($dateact)==TRUE)
	$datelundi=datefr(date_lundi(datefrang($dateact)));
$tab_date=explode('-',$dateact);
$first_day="01-".$tab_date[1]."-".$tab_date[2];
$jourf=lastday_month_year($tab_date[1], $tab_date[2]);
$last_day=$jourf."-".$tab_date[1]."-".$tab_date[2];

// Récupération date rendez-vous du planning
if (isset($_GET["drdv"]))
{
	$drdv=$_GET["drdv"];
	if (datefrcorrecte($drdv)==TRUE)
		$daterdv=datefr(datefrang($drdv));
}
else
{
	if (isset($_POST["drdv"]))
	{
		$drdv=$_POST["drdv"];
		if (datefrcorrecte($drdv)==TRUE)
			$daterdv=datefr(datefrang($drdv));
	}
}


// Récupération heure rendez-vous du planning
if (isset($_GET["hrdv"]))
{
	$hrdv=$_GET["hrdv"];
	if (heurehhmmcorrecte($hrdv)==TRUE)
		$heurerdv=$hrdv;
}
else
{
	if (isset($_POST["hrdv"]))
	{
		$hrdv=$_POST["hrdv"];
		if (heurehhmmcorrecte($hrdv)==TRUE)
			$heurerdv=$hrdv;
	}
}

// Récupération durée RDV du planning + calcul nombre de cellules à afficher
if (isset($_GET["dur"]))
{
	$dur=intval($_GET["dur"]);
	$duree=$dur;
}
else
{
	if (isset($_POST["dur"]))
	{
		$dur=intval($_POST["dur"]);
		$duree=$dur;
	}
}
$nbcell=1;
$nbcell=$duree/$stepmin;

// Récupération mode d'affichage du planning
if (isset($_GET["mod"]))
{
	$mod=strtolower($_GET["mod"]);
	if (($mod=="m") OR ($mod=="s") OR ($mod=="j"))
		$modeplan=$mod;
}
else
{
	if (isset($_POST["mod"]))
	{
		$mod=strtolower($_POST["mod"]);
		if (($mod=="m") OR ($mod=="s") OR ($mod=="j"))
			$modeplan=$mod;
	}
}
$nbcell=1;
$nbcell=$duree/$stepmin;

// Récupération texte à afficher pour le RDV
if (isset($_GET["txt"]))
{
	$txt=strip_tags($_GET["txt"]);
}
else
{
	if (isset($_POST["txt"]))
	{
		$txt=strip_tags($_POST["txt"]);
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Document sans titre</title>

<style type="text/css">
<!--
TABLE.planning {
border-style:double;
width:100%;
}

#agenda {
position:relative;
width:100%;
height:600px;
overflow-y:scroll;
overflow-x: hidden;
}

.ligne_entete {
background-color:#990000;
color:#FFFF00;
font-size:14px;
font-weight:bold;
height:30px;
}

.titre_vide {
border-right: solid #FF0000 2px;
width:30px;
}

.titre_jour {
text-align:center;
}

.titre_heures_out {
background-color: #CCCCCC;
color:#000000;
border-bottom: solid #FF0000 1px;
border-right: solid #FF0000 2px;
font-size:16px;
font-weight:bold;
height:<?PHP echo $hautlig; ?>px;
}

.titre_heures_in {
background-color: #0000FF;
color:#FFFF00;
border-bottom: solid #FFFF00 1px;
border-right: solid #FF0000 2px;
font-size:16px;
font-weight:bold;
height:<?PHP echo $hautlig; ?>px;
}

.titre_heures_30_out {
background-color: #CCCCCC;
color:#000000;
border-bottom: solid #FF0000 1px;
border-right: solid #FF0000 2px;
padding-right:5px;
font-size:12px;
font-weight:bold;
height:<?PHP echo $hautlig; ?>px;
}

.titre_heures_30_in {
background-color: #0000FF;
color:#FFFF00;
border-bottom: solid #FFFF00 1px;
border-right: solid #FF0000 2px;
padding-right:5px;
font-size:12px;
font-weight:bold;
height:<?PHP echo $hautlig; ?>px;
}

.titre_heures_min_out {
background-color: #CCCCCC;
color:#000000;
border-bottom: solid #FF0000 1px;
border-right: solid #FF0000 2px;
padding-right:2px;
font-size:10px;
font-weight: normal;
height:<?PHP echo $hautlig; ?>px;
}

.titre_heures_min_in {
background-color: #0000FF;
color:#FFFF00;
border-bottom: solid #FFFF00 1px;
border-right: solid #FF0000 2px;
padding-right:2px;
font-size:10px;
font-weight: normal;
height:<?PHP echo $hautlig; ?>px;
}

.heures_out {
background-color: #CCCCCC;
color:#000000;
font-size:12px;
font-weight:normal;
border-bottom: solid #FF0000 1px;
border-right: solid #FF0000 1px;
}

.heures_in {
background-color: #0000FF;
color:#FFFF00;
font-size:12px;
font-weight:normal;
border-bottom: solid #FFFF00 1px;
border-right: solid #FF0000 1px;
}

.plage_horaire {
z-index:100;
}

.plage_horaire_on {
position: absolute;
z-index:100;
background-color: #FF0000;
border-left: solid #CC9933 5px;
}

.plage_horaire_det {
z-index:200;
}

.plage_horaire_det_on {
position: absolute;
z-index:200;
background-color: #FFCC33;
border:none;
}
-->
</style>

<script type="text/javascript">
var BrowserDetect = {
	init: function () {
		this.browser = this.searchString(this.dataBrowser) || "An unknown browser";
		this.version = this.searchVersion(navigator.userAgent)
			|| this.searchVersion(navigator.appVersion)
			|| "an unknown version";
		this.OS = this.searchString(this.dataOS) || "an unknown OS";
	},
	searchString: function (data) {
		for (var i=0;i<data.length;i++)	{
			var dataString = data[i].string;
			var dataProp = data[i].prop;
			this.versionSearchString = data[i].versionSearch || data[i].identity;
			if (dataString) {
				if (dataString.indexOf(data[i].subString) != -1)
					return data[i].identity;
			}
			else if (dataProp)
				return data[i].identity;
		}
	},
	searchVersion: function (dataString) {
		var index = dataString.indexOf(this.versionSearchString);
		if (index == -1) return;
		return parseFloat(dataString.substring(index+this.versionSearchString.length+1));
	},
	dataBrowser: [
		{
			string: navigator.userAgent,
			subString: "Chrome",
			identity: "Chrome"
		},
		{ 	string: navigator.userAgent,
			subString: "OmniWeb",
			versionSearch: "OmniWeb/",
			identity: "OmniWeb"
		},
		{
			string: navigator.vendor,
			subString: "Apple",
			identity: "Safari",
			versionSearch: "Version"
		},
		{
			prop: window.opera,
			identity: "Opera"
		},
		{
			string: navigator.vendor,
			subString: "iCab",
			identity: "iCab"
		},
		{
			string: navigator.vendor,
			subString: "KDE",
			identity: "Konqueror"
		},
		{
			string: navigator.userAgent,
			subString: "Firefox",
			identity: "Firefox"
		},
		{
			string: navigator.vendor,
			subString: "Camino",
			identity: "Camino"
		},
		{		// for newer Netscapes (6+)
			string: navigator.userAgent,
			subString: "Netscape",
			identity: "Netscape"
		},
		{
			string: navigator.userAgent,
			subString: "MSIE",
			identity: "Explorer",
			versionSearch: "MSIE"
		},
		{
			string: navigator.userAgent,
			subString: "Gecko",
			identity: "Mozilla",
			versionSearch: "rv"
		},
		{ 		// for older Netscapes (4-)
			string: navigator.userAgent,
			subString: "Mozilla",
			identity: "Netscape",
			versionSearch: "Mozilla"
		}
	],
	dataOS : [
		{
			string: navigator.platform,
			subString: "Win",
			identity: "Windows"
		},
		{
			string: navigator.platform,
			subString: "Mac",
			identity: "Mac"
		},
		{
			string: navigator.platform,
			subString: "Linux",
			identity: "Linux"
		}
	]

};
BrowserDetect.init();
</script>

<script type="text/javascript">
function get_size_cell(idcell)
{
	obcell=document.getElementById(idcell);
	if (objcell)
	{
		alert(idcell+' : '+objcell.offsetWidth+' / '+objcell.offsetHeight);
	}
	
}

function size_id(idcell,nlig,txt,step)
{
	var decalage=0;
	objcell=document.getElementById(idcell);
	if (!objcell) // On a pas trouvé l'id : le RDV ne démarre donc pas "pile" sur une tranche
	{
		var heure=idcell.substr(10,2);
		var valheure=parseInt(heure);
		var minute=idcell.substr(12,2);
		var valminute=parseInt(minute);
		var nstep=parseInt(valminute/step);
		var newminute=nstep*step;
		var diffmin=valminute-newminute;
		var strmin='';
		if (newminute<10)
			strmin='0'+newminute;
		else
			strmin+=newminute;
		idcell=idcell.substr(0,10)+heure+strmin;
		objcell=document.getElementById(idcell);
		decalage=Math.floor((diffmin/step)*objcell.offsetHeight);
	}

	if (objcell)
	{
		objid=document.getElementById('id_'+idcell);
		if (objid)
		{
			objid.className='plage_horaire_on';
			if (decalage!=0)
				objid.style.top=(document.getElementById(idcell).offsetTop+decalage)+'px';
			switch (BrowserDetect.browser)
			{
				case 'Firefox' :
					objid.style.width=(objcell.offsetWidth-5)+'px';
					break;
				case 'Explorer' :
					objid.style.width=(objcell.offsetWidth-5)+'px';
					break;
			}
			objid.style.height=Math.floor(objcell.offsetHeight*nlig)+'px';
			var codehtml='';
			objid.innerHTML=txt;
			objid.style.overflow='hidden';

			objid.onmouseover=function()
			{
				objid.style.cursor='help';
			}
			objid.onclick=function()
			{
				alert(txt);
			}
		}
	}
}
</script>

<!-- Définition Javascript pour calendrier popup -->
  <!-- Feuille de Style -->
  <link rel="stylesheet" type="text/css" media="all" href="../jscript/jscal/skins/aqua/theme.css" title="Aqua" />

  <!-- Script Javascript Principal -->
  <script type="text/javascript" src="../jscript/jscal/calendar.js"></script>

  <!-- Choix du langage -->
  <script type="text/javascript" src="../jscript/jscal/lang/calendar-fr.js"></script>

  <!-- the following script defines the Calendar.setup helper function, which makes
       adding a calendar a matter of 1 or 2 lines of code. -->
  <script type="text/javascript" src="../jscript/jscal/calendar-setup.js"></script>
<!-- Fin de la définition Javascript pour calendrier popup -->


</head>

<body >
<form name="prmagenda" id="prmagenda" method="post" action="">
<table width="100%"  border="0">
<tr>
	<td width="160" id="f_fmode" align="right">Mode affichage</td>
	<td>
		<?PHP 
		echo '<select name="mod" id="mod" onChange="document.getElementById(\'prmagenda\').submit();">';
		echo '<option value="j"'; 
		if ($modeplan == "j")
			echo ' selected';
		echo '>';
		echo "Jour</option>";
		echo '<option value="s"'; 
		if ($modeplan == "s")
			echo ' selected';
		echo '>';
		echo "Semaine</option>";
		echo '<option value="m"'; 
		if ($modeplan == "m")
			echo ' selected';
		echo '>';
		echo "Mois</option>";
		echo '</select>';
		?>
	</td>
	<td width="160" id="f_step" align="right">Incr&eacute;ment</td>
	<td>
		<?PHP 
		echo '<select name="step" id="step" onChange="document.getElementById(\'prmagenda\').submit();">';
		echo '<option value="5"'; 
		if ($stepmin == "5")
			echo ' selected';
		echo '>';
		echo "5 minutes</option>";
		echo '<option value="10"'; 
		if ($stepmin == "10")
			echo ' selected';
		echo '>';
		echo "10 minutes</option>";
		echo '<option value="15"'; 
		if ($stepmin == "15")
			echo ' selected';
		echo '>';
		echo "15 minutes</option>";
		echo '<option value="30"'; 
		if ($stepmin == "30")
			echo ' selected';
		echo '>';
		echo "30 minutes</option>";
		echo '</select>';
		?>
	</td>
</tr>
<tr>
	<td width="160" id="f_fh" align="right">Heure d&eacute;but</td>
	<td>
		<?PHP 
		echo '<select name="fh" id="fh" onChange="document.getElementById(\'prmagenda\').submit();">';
		// Création de la liste des heures
		for ($i=0; $i<86400 ;$i+=3600)
		{
			$heure=substr(sec_heure($i),0,2);
			echo '<option value="'.intval($heure).'"';
			if (intval($firstHour) == intval($heure))
				echo 'selected';
			echo '>'.$heure.'</option>';
		}
		echo '</select>';
		?>
	</td>
	<td width="160" id="f_lh" align="right">Heure fin</td>
	<td>
		<?PHP 
		echo '<select name="lh" id="lh" onChange="document.getElementById(\'prmagenda\').submit();">';
		// Création de la liste des heures
		for ($i=3600; $i<=86400 ;$i+=3600)
		{
			$heure=substr(sec_heure($i),0,2);
			echo '<option value="'.intval($heure).'"';
			if (intval($lastHour) == intval($heure))
				echo 'selected';
			echo '>'.$heure.'</option>';
		}
		echo '</select>';
		?>
	</td>
</tr>
<tr>
	<td width="160" id="f_fho" align="right">Heure ouvr&eacute;e d&eacute;but</td>
	<td>
		<?PHP 
		echo '<select name="fho" id="fho" onChange="document.getElementById(\'prmagenda\').submit();">';
		// Création de la liste des heures
		for ($i=0; $i<86400 ;$i+=3600)
		{
			$heure=substr(sec_heure($i),0,2);
			echo '<option value="'.intval($heure).'"';
			if (intval($heuredj) == intval($heure))
				echo 'selected';
			echo '>'.$heure.'</option>';
		}
		echo '</select>';
		?>
	</td>
	<td width="160" id="f_lho" align="right">Heure ouvr&eacute;e fin</td>
	<td>
		<?PHP 
		echo '<select name="lho" id="lho" onChange="document.getElementById(\'prmagenda\').submit();">';
		// Création de la liste des heures
		for ($i=3600; $i<=86400 ;$i+=3600)
		{
			$heure=substr(sec_heure($i),0,2);
			echo '<option value="'.intval($heure).'"';
			if (intval($heurefj) == intval($heure))
				echo 'selected';
			echo '>'.$heure.'</option>';
		}
		echo '</select>';
		?>
	</td>
</tr>
<tr>
	<td width="160" id="f_dte" align="right">Date r&eacute;f&eacute;rence</td>
	<td>
		<input name="dte" type="text" id="dte" value="<?PHP echo $dateact; ?>" size="10" maxlength="10" readonly="1" onChange="document.getElementById('prmagenda').submit();">
		<img src="../img/calendar.png" align="absmiddle" id="f_img_dte">
	</td>
	<td width="160" id="f_drdv" align="right">Date RDV</td>
	<td>
		<input name="drdv" type="text" id="drdv" value="<?PHP echo $daterdv; ?>" size="10" maxlength="10" readonly="1" onChange="document.getElementById('prmagenda').submit();">
		<img src="../img/calendar.png" align="absmiddle" id="f_img_drdv">
	</td>
</tr>
<tr>
	<td width="160" id="f_fhrdv" align="right">Heure RDV</td>
	<td>
		<?PHP 
		echo '<select name="hrdv" id="hrdv" onChange="document.getElementById(\'prmagenda\').submit();">';
		// Création de la liste des heures
		for ($i=($firstHour*3600); $i<($lastHour*3600) ;$i+=300)
		{
			$heure=substr(sec_heure($i),0,5);
			echo '<option value="'.$heure.'"';
			if ($heurerdv == $heure)
				echo 'selected';
			echo '>'.$heure.'</option>';
		}
		echo '</select>';
		?>
	</td>
	<td width="160" id="f_fdur" align="right">Dur&eacute;e RDV</td>
	<td>
		<?PHP 
		echo '<select name="dur" id="dur" onChange="document.getElementById(\'prmagenda\').submit();">';
		// Création de la liste des heures
		for ($i=$stepmin; $i<86400 ;$i+=$stepmin)
		{
			echo '<option value="'.$i.'"';
			if (intval($duree) == $i)
				echo 'selected';
			echo '>'.substr(sec_heure($i*60),0,5).'</option>';
		}
		echo '</select>';
		?>
	</td>
</tr>
<tr>
	<td width="160" id="f_txt" align="right">Texte &agrave; afficher</td>
	<td colspan="3">
		<input name="txt" type="texte" id="txt" value="<?PHP echo $txt; ?>" size="150" maxlength="150" onChange="document.getElementById('prmagenda').submit();">
	</td>
</tr>
</table>
</form>
<?PHP
	// Création du tableau des dates

	echo '<div id="agenda">';
	echo '<table class="planning" width="100%" cellpadding="0" cellspacing="0">';
	// Création entête & tableau des dates pour les id
	$tab_iddates=array();
	echo '<tr class="ligne_entete" align="center">';
	echo '<td class="titre_vide">';
	echo '&nbsp;';
	echo '</td>';
	switch ($modeplan)
	{
		// Affichage par jour
		case "j" :
			$daynum=njour_semaine(datefrang($dateact));
			if ($daynum==0) $daynum=7;
				echo '<td class="titre_jour">';
			echo $lng_tjour[$daynum];
			echo "<br />";
			echo $dateact;
			echo '</td>';
			$tab_iddates[$daynum]=eregi_replace("-","",$dateact);
			break;
		// Affichage par mois
		case "m" :
			for ($i=1;$i<=$jourf;$i++)
			{
				echo '<td class="titre_jour">';
				echo sprintf ("%'02s",$i);;
				echo "<br />";
				if ($i==1)
					$tab_iddates[$i]=eregi_replace("-","",$first_day);
				else
					$tab_iddates[$i]=eregi_replace("-","",datefr(nouv_date_plus_jours(datefrang($first_day),$i-1)));
				echo '</td>';
			}
			break;
		// Affichage par semaine
		default :
			for ($i=1;$i<8;$i++)
			{
				echo '<td class="titre_jour">';
				echo $lng_tjour[$i];
				echo "<br />";
				if ($i==1)
				{
					echo $datelundi;
					$tab_iddates[$i]=eregi_replace("-","",$datelundi);
				}
				else
				{
					echo datefr(nouv_date_plus_jours(datefrang($datelundi),$i-1));
					$tab_iddates[$i]=eregi_replace("-","",datefr(nouv_date_plus_jours(datefrang($datelundi),$i-1)));
				}
				echo '</td>';
			}
			break;
	}
	echo '</tr>';
	// Création lignes heures
	for ($i=($firstHour*3600);$i<=($lastHour*3600);$i=$i+($stepmin*60))
	{
		echo '<tr>';
		echo '<td';
		$nom_class="titre_heures";
		$heure_aff="";
		$align_right=FALSE;
		if (($i%3600)<>0)
		{
			if (($i%1800)==0)
			{
				$heure_aff="30";
				$nom_class.="_30";
				$align_right=TRUE;
			}
			else
			{
				$heure_aff=intval(substr(sec_heure($i),3,2));
				$nom_class.="_min";
				$align_right=TRUE;
			}
		}
		else
			$heure_aff=intval(substr(sec_heure($i),0,2));
		if (($i<($heuredj*3600)) OR ($i>($heurefj*3600)))
			$nom_class.="_out";
		else
			$nom_class.="_in";
		echo ' class="'.$nom_class.'"';
		if ($align_right==TRUE)
			echo' align="right"';
		else
			echo' align="center"';
		echo ' id="'.substr(sec_heure($i),0,2).substr(sec_heure($i),3,2).'"';
		echo '>';
		echo $heure_aff;
		echo '</td>';
		switch ($modeplan)
		{
			// Affichage par jour
			case "j" :
				$id='j'.$tab_iddates[$daynum].'h'.substr(sec_heure($i),0,2).substr(sec_heure($i),3,2);
				echo '<td';
				echo ' id="'.$id.'"';
				if (($i<($heuredj*3600)) OR ($i>($heurefj*3600)))
					echo ' class="heures_out"';
				else
					echo ' class="heures_in"';
				echo ' valign="top">';
				echo '<div id="id_'.$id.'" class="plage_horaire"';
				echo '></div>';
				echo '&nbsp;';
				echo '</td>';
				break;
			// Affichage par mois
			case "m" :
				for ($j=1;$j<=$jourf;$j++)
				{
					$id='j'.$tab_iddates[$j].'h'.substr(sec_heure($i),0,2).substr(sec_heure($i),3,2);
					echo '<td';
					echo ' id="'.$id.'"';
					if (($i<($heuredj*3600)) OR ($i>($heurefj*3600)))
						echo ' class="heures_out"';
					else
						echo ' class="heures_in"';
					echo ' valign="top">';
					echo '<div id="id_'.$id.'" class="plage_horaire"';
					echo '></div>';
					echo '&nbsp;';
					echo '</td>';
				}
				break;
			// Affichage par semaine
			default :
				for ($j=1;$j<8;$j++)
				{
					$id='j'.$tab_iddates[$j].'h'.substr(sec_heure($i),0,2).substr(sec_heure($i),3,2);
					echo '<td';
					echo ' id="'.$id.'"';
					if (($i<($heuredj*3600)) OR ($i>($heurefj*3600)))
						echo ' class="heures_out"';
					else
						echo ' class="heures_in"';
					echo ' valign="top">';
					echo '<div id="id_'.$id.'" class="plage_horaire"';
					echo '></div>';
					echo '&nbsp;';
					echo '</td>';
				}
				break;
		}
		echo '</tr>';
	}
	echo '</table>';
	echo '</div>';
?>
<script type="text/javascript">
<!--
Calendar.setup({
	inputField     :    "dte",     // id of the input field
	ifFormat       :    "%d-%m-%Y",      // format of the input field
	button         :    "f_img_dte",  // trigger for the calendar (button ID)
	align          :    "Br",           // alignment (defaults to "Bl")
	electric	   :	false,
	singleClick    :    true
});
Calendar.setup({
	inputField     :    "drdv",     // id of the input field
	ifFormat       :    "%d-%m-%Y",      // format of the input field
	button         :    "f_img_drdv",  // trigger for the calendar (button ID)
	align          :    "Br",           // alignment (defaults to "Bl")
	electric	   :	false,
	singleClick    :    true
});

size_id('j<?PHP echo eregi_replace("-","",$daterdv); ?>h<?PHP echo eregi_replace(":","",$heurerdv); ?>',<?PHP echo $nbcell; ?>,'<?PHP echo $txt; ?>',<?PHP echo $stepmin; ?>);
// -->
</script>
</body>
</html>
